package Plugins::LightsOut::Settings;

# Squeezebox Server Copyright 2001-2009 Logitech.
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License,
# version 2.

use strict;
use base qw(Slim::Web::Settings);

use Slim::Utils::Prefs;

my $prefs = preferences('plugin.lightsout');

sub name {
	return Slim::Web::HTTP::CSRF->protectName('PLUGIN_LIGHTSOUT');
}

sub page {
	return Slim::Web::HTTP::CSRF->protectURI('plugins/LightsOut/settings/basic.html');
}

sub prefs {
	return ($prefs, 'idletime', 'checkpower', 'lomode');
}

1;

__END__
